Free Energy Evaluation for given Sequence / Structure Pairs

This module contains all functions and variables related to energy evaluation of sequence/structure pairs. More...

## Files

file | eval.h
| Functions and variables related to energy evaluation of sequence/structure pairs.

## Functions

int | vrna_eval_ext_hp_loop (vrna_fold_compound_t *vc, int i, int j)
| Evaluate free energy of an exterior hairpin loop.
int | vrna_eval_hp_loop (vrna_fold_compound_t *vc, int i, int j)
| Evaluate free energy of a hairpin loop. More...

## Detailed Description

This module contains all functions and variables related to energy evaluation of sequence/structure pairs.

## Function Documentation

int vrna_eval_hp_loop | ( | vrna_fold_compound_t * | vc,
|  | int | i,
|  | int | j
| ) |  |

`#include <ViennaRNA/hairpin_loops.h>`

Evaluate free energy of a hairpin loop.

Note
  This function is polymorphic! The provided vrna_fold_compound_t may be of type VRNA_VC_TYPE_SINGLE or VRNA_VC_TYPE_ALIGNMENT

Parameters

  vc | The vrna_fold_compound_t for the particular energy evaluation
  i | 5'-position of the base pair
  j | 3'-position of the base pair

Returns
  Free energy of the hairpin loop closed by in deka-kal/mol